@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url('https://fonts.googleapis.com/css2?family=Inter:wght@600&display=swap');
}

@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url('https://fonts.googleapis.com/css2?family=Inter:wght@500&display=swap');
}

@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('https://fonts.googleapis.com/css2?family=Inter:wght@400&display=swap');
}

@font-face {
  font-family: 'password';
  font-style: normal;
  font-display: block;
  src: url('../fonts/password.woff2') format('woff2');
}

:root {
  color-scheme: light dark;
}

:root .icash_theme_light  {
  --ic-splash-background: white;
  --ic-splash-logo-primary: #DC2626;
  --ic-splash-logo-secondary: #131313;
  --ic-splash-loader-color: #DC2626;
}
:root .icash_theme_dark {
  --ic-splash-background: #131313;
  --ic-splash-logo-primary: #DC2626;
  --ic-splash-logo-secondary: white;
  --ic-splash-loader-color: #DC2626;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

#root-app-init-loading {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  margin: 0;
  height: 100vh;
  height: 100dvh;
  width: 100%;
  z-index: 5000;
  opacity: 1;
  background: var(--ic-splash-background); /* neutral_900 */
  transition: all 0.4s ease-in-out;
}
#root-app-init-loading .logo {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
}
#root-app-init-loading #icash-logo {
  max-height: 30px;
  width: auto;
  opacity: 0;
  transition: all 0.3s ease-in-out;
  &.show {
    opacity: 1;
    transition: all 0.3s ease-in-out;
  }
}

#root-app-init-loading.init-loading-fade-out {
  opacity: 0;
  transition: all 0.4s ease-in-out;
  transition-delay: 0.3s;
}

#root-app-init-loading .container {
  position: absolute;
  transform: scale(0.4);
  width: 100px;
  height: 100px;
  color: var(--ic-splash-loader-color);
  animation: fadeIn 2s;
}
#root-app-init-loading .container.show-logo {
  margin-top: 90px;
}

#root-app-init-loading .circular {
  animation: root-app-init-loading-rotate 3s linear infinite;
  height: 100px;
  position: relative;
  width: 100px;
}

#root-app-init-loading .path {
  stroke-dasharray: 1, 200;
  stroke-dashoffset: 0;
  stroke: var(--ic-splash-loader-color);
  animation: root-app-init-loading-dash 1.5s ease-in-out infinite;
  stroke-linecap: round;
}

#ada-button-frame {
  display: none;
}

@keyframes root-app-init-loading-rotate {
  100% {
    transform: rotate(360deg);
  }
}
@keyframes root-app-init-loading-dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124;
  }
}
